var Se = Object.defineProperty;
var G = Object.getOwnPropertySymbols;
var Ee = Object.prototype.hasOwnProperty, ke = Object.prototype.propertyIsEnumerable;
var X = (e, t, s) => t in e ? Se(e, t, { enumerable: !0, configurable: !0, writable: !0, value: s }) : e[t] = s, Y = (e, t) => {
  for (var s in t || (t = {}))
    Ee.call(t, s) && X(e, s, t[s]);
  if (G)
    for (var s of G(t))
      ke.call(t, s) && X(e, s, t[s]);
  return e;
};
var T = (e, t, s) => new Promise((n, r) => {
  var i = (l) => {
    try {
      o(s.next(l));
    } catch ($) {
      r($);
    }
  }, a = (l) => {
    try {
      o(s.throw(l));
    } catch ($) {
      r($);
    }
  }, o = (l) => l.done ? n(l.value) : Promise.resolve(l.value).then(i, a);
  o((s = s.apply(e, t)).next());
});
const be = "player-kyc-verification", we = (
  /* player-kyc-verification */
  { hydratedSelectorName: "hydrated" }
);
var xe = Object.defineProperty, Pe = (e, t) => {
  for (var s in t)
    xe(e, s, { get: t[s], enumerable: !0 });
}, B = /* @__PURE__ */ new WeakMap(), k = (e) => B.get(e), vt = (e, t) => B.set(t.$lazyInstance$ = e, t), Te = (e, t) => {
  const s = {
    $flags$: 0,
    $hostElement$: e,
    $cmpMeta$: t,
    $instanceValues$: /* @__PURE__ */ new Map()
  };
  return s.$onReadyPromise$ = new Promise((n) => s.$onReadyResolve$ = n), e["s-p"] = [], e["s-rc"] = [], B.set(e, s);
}, J = (e, t) => t in e, b = (e, t) => (0, console.error)(e, t), C = /* @__PURE__ */ new Map(), _e = (e, t, s) => {
  const n = e.$tagName$.replace(/-/g, "_"), r = e.$lazyBundleId$;
  if (!r)
    return;
  const i = C.get(r);
  if (i)
    return i[n];
  {
    const a = (o) => (C.set(r, o), o[n]);
    switch (r) {
      case "player-kyc-verification":
        return import(
          /* webpackMode: "lazy" */
          "../stencil/player-kyc-verification-GoGw_arF.js"
        ).then((o) => o.a).then(a, b);
    }
  }
  return import(
    /* @vite-ignore */
    /* webpackInclude: /\.entry\.js$/ */
    /* webpackExclude: /\.system\.entry\.js$/ */
    /* webpackMode: "lazy" */
    `./${r}.entry.js`
  ).then((a) => (C.set(r, a), a[n]), b);
}, j = /* @__PURE__ */ new Map(), Ae = "{visibility:hidden}.hydrated{visibility:inherit}", re = "slot-fb{display:contents}slot-fb[hidden]{display:none}", I = typeof window != "undefined" ? window : {}, m = I.document || { head: {} }, d = {
  $flags$: 0,
  $resourcesUrl$: "",
  jmp: (e) => e(),
  raf: (e) => requestAnimationFrame(e),
  ael: (e, t, s, n) => e.addEventListener(t, s, n),
  rel: (e, t, s, n) => e.removeEventListener(t, s, n),
  ce: (e, t) => new CustomEvent(e, t)
}, Le = (e) => Promise.resolve(e), je = /* @__PURE__ */ (() => {
  try {
    return new CSSStyleSheet(), typeof new CSSStyleSheet().replaceSync == "function";
  } catch (e) {
  }
  return !1;
})(), U = !1, K = [], ae = [], Oe = (e, t) => (s) => {
  e.push(s), U || (U = !0, d.$flags$ & 4 ? q(H) : d.raf(H));
}, Q = (e) => {
  for (let t = 0; t < e.length; t++)
    try {
      e[t](performance.now());
    } catch (s) {
      b(s);
    }
  e.length = 0;
}, H = () => {
  Q(K), Q(ae), (U = K.length > 0) && d.raf(H);
}, q = (e) => Le().then(e), Ie = /* @__PURE__ */ Oe(ae), Z = {}, Ce = "http://www.w3.org/2000/svg", Ue = "http://www.w3.org/1999/xhtml", He = (e) => e != null, F = (e) => (e = typeof e, e === "object" || e === "function");
function le(e) {
  var t, s, n;
  return (n = (s = (t = e.head) == null ? void 0 : t.querySelector('meta[name="csp-nonce"]')) == null ? void 0 : s.getAttribute("content")) != null ? n : void 0;
}
var ze = {};
Pe(ze, {
  err: () => ie,
  map: () => Be,
  ok: () => z,
  unwrap: () => qe,
  unwrapErr: () => Fe
});
var z = (e) => ({
  isOk: !0,
  isErr: !1,
  value: e
}), ie = (e) => ({
  isOk: !1,
  isErr: !0,
  value: e
});
function Be(e, t) {
  if (e.isOk) {
    const s = t(e.value);
    return s instanceof Promise ? s.then((n) => z(n)) : z(s);
  }
  if (e.isErr) {
    const s = e.value;
    return ie(s);
  }
  throw "should never get here";
}
var qe = (e) => {
  if (e.isOk)
    return e.value;
  throw e.value;
}, Fe = (e) => {
  if (e.isErr)
    return e.value;
  throw e.value;
}, S = (e, t = "") => () => {
}, De = (e, t) => () => {
}, oe = (e, t, ...s) => {
  let n = null, r = !1, i = !1;
  const a = [], o = ($) => {
    for (let c = 0; c < $.length; c++)
      n = $[c], Array.isArray(n) ? o(n) : n != null && typeof n != "boolean" && ((r = typeof e != "function" && !F(n)) && (n = String(n)), r && i ? a[a.length - 1].$text$ += n : a.push(r ? O(null, n) : n), i = r);
  };
  if (o(s), t) {
    const $ = t.className || t.class;
    $ && (t.class = typeof $ != "object" ? $ : Object.keys($).filter((c) => $[c]).join(" "));
  }
  if (typeof e == "function")
    return e(
      t === null ? {} : t,
      a,
      We
    );
  const l = O(e, null);
  return l.$attrs$ = t, a.length > 0 && (l.$children$ = a), l;
}, O = (e, t) => {
  const s = {
    $flags$: 0,
    $tag$: e,
    $text$: t,
    $elm$: null,
    $children$: null
  };
  return s.$attrs$ = null, s;
}, Me = {}, Re = (e) => e && e.$tag$ === Me, We = {
  forEach: (e, t) => e.map(N).forEach(t),
  map: (e, t) => e.map(N).map(t).map(Ge)
}, N = (e) => ({
  vattrs: e.$attrs$,
  vchildren: e.$children$,
  vkey: e.$key$,
  vname: e.$name$,
  vtag: e.$tag$,
  vtext: e.$text$
}), Ge = (e) => {
  if (typeof e.vtag == "function") {
    const s = Y({}, e.vattrs);
    return e.vkey && (s.key = e.vkey), e.vname && (s.name = e.vname), oe(e.vtag, s, ...e.vchildren || []);
  }
  const t = O(e.vtag, e.vtext);
  return t.$attrs$ = e.vattrs, t.$children$ = e.vchildren, t.$key$ = e.vkey, t.$name$ = e.vname, t;
}, Xe = (e, t) => e != null && !F(e) && t & 1 ? String(e) : e, Ye = (e, t, s) => {
  const n = d.ce(t, s);
  return e.dispatchEvent(n), n;
}, V = /* @__PURE__ */ new WeakMap(), Je = (e, t, s) => {
  let n = j.get(e);
  je && s ? (n = n || new CSSStyleSheet(), typeof n == "string" ? n = t : n.replaceSync(t)) : n = t, j.set(e, n);
}, Ke = (e, t, s) => {
  var n;
  const r = $e(t), i = j.get(r);
  if (e = e.nodeType === 11 ? e : m, i)
    if (typeof i == "string") {
      e = e.head || e;
      let a = V.get(e), o;
      if (a || V.set(e, a = /* @__PURE__ */ new Set()), !a.has(r)) {
        {
          o = m.createElement("style"), o.innerHTML = i;
          const l = (n = d.$nonce$) != null ? n : le(m);
          l != null && o.setAttribute("nonce", l), e.insertBefore(o, e.querySelector("link"));
        }
        t.$flags$ & 4 && (o.innerHTML += re), a && a.add(r);
      }
    } else
      e.adoptedStyleSheets.includes(i) || (e.adoptedStyleSheets = [...e.adoptedStyleSheets, i]);
  return r;
}, Qe = (e) => {
  const t = e.$cmpMeta$, s = e.$hostElement$, n = t.$flags$, r = S("attachStyles", t.$tagName$), i = Ke(
    s.shadowRoot ? s.shadowRoot : s.getRootNode(),
    t
  );
  n & 10 && (s["s-sc"] = i, s.classList.add(i + "-h")), r();
}, $e = (e, t) => "sc-" + e.$tagName$, ee = (e, t, s, n, r, i) => {
  if (s !== n) {
    let a = J(e, t), o = t.toLowerCase();
    if (t === "class") {
      const l = e.classList, $ = te(s), c = te(n);
      l.remove(...$.filter((f) => f && !c.includes(f))), l.add(...c.filter((f) => f && !$.includes(f)));
    } else if (t === "style") {
      for (const l in s)
        (!n || n[l] == null) && (l.includes("-") ? e.style.removeProperty(l) : e.style[l] = "");
      for (const l in n)
        (!s || n[l] !== s[l]) && (l.includes("-") ? e.style.setProperty(l, n[l]) : e.style[l] = n[l]);
    } else if (t === "ref")
      n && n(e);
    else if (!a && t[0] === "o" && t[1] === "n") {
      if (t[2] === "-" ? t = t.slice(3) : J(I, o) ? t = o.slice(2) : t = o[2] + t.slice(3), s || n) {
        const l = t.endsWith(ce);
        t = t.replace(Ne, ""), s && d.rel(e, t, s, l), n && d.ael(e, t, n, l);
      }
    } else {
      const l = F(n);
      if ((a || l && n !== null) && !r)
        try {
          if (e.tagName.includes("-"))
            e[t] = n;
          else {
            const $ = n == null ? "" : n;
            t === "list" ? a = !1 : (s == null || e[t] != $) && (e[t] = $);
          }
        } catch ($) {
        }
      n == null || n === !1 ? (n !== !1 || e.getAttribute(t) === "") && e.removeAttribute(t) : (!a || i & 4 || r) && !l && (n = n === !0 ? "" : n, e.setAttribute(t, n));
    }
  }
}, Ze = /\s/, te = (e) => e ? e.split(Ze) : [], ce = "Capture", Ne = new RegExp(ce + "$"), fe = (e, t, s) => {
  const n = t.$elm$.nodeType === 11 && t.$elm$.host ? t.$elm$.host : t.$elm$, r = e && e.$attrs$ || Z, i = t.$attrs$ || Z;
  for (const a of se(Object.keys(r)))
    a in i || ee(n, a, r[a], void 0, s, t.$flags$);
  for (const a of se(Object.keys(i)))
    ee(n, a, r[a], i[a], s, t.$flags$);
};
function se(e) {
  return e.includes("ref") ? (
    // we need to sort these to ensure that `'ref'` is the last attr
    [...e.filter((t) => t !== "ref"), "ref"]
  ) : (
    // no need to sort, return the original array
    e
  );
}
var A, D, v = !1, M = (e, t, s, n) => {
  const r = t.$children$[s];
  let i = 0, a, o;
  if (r.$text$ !== null)
    a = r.$elm$ = m.createTextNode(r.$text$);
  else {
    if (v || (v = r.$tag$ === "svg"), a = r.$elm$ = m.createElementNS(
      v ? Ce : Ue,
      r.$tag$
    ), v && r.$tag$ === "foreignObject" && (v = !1), fe(null, r, v), He(A) && a["s-si"] !== A && a.classList.add(a["s-si"] = A), r.$children$)
      for (i = 0; i < r.$children$.length; ++i)
        o = M(e, r, i), o && a.appendChild(o);
    r.$tag$ === "svg" ? v = !1 : a.tagName === "foreignObject" && (v = !0);
  }
  return a["s-hn"] = D, a;
}, ue = (e, t, s, n, r, i) => {
  let a = e, o;
  for (a.shadowRoot && a.tagName === D && (a = a.shadowRoot); r <= i; ++r)
    n[r] && (o = M(null, s, r), o && (n[r].$elm$ = o, L(a, o, t)));
}, de = (e, t, s) => {
  for (let n = t; n <= s; ++n) {
    const r = e[n];
    if (r) {
      const i = r.$elm$;
      ve(r), i && i.remove();
    }
  }
}, Ve = (e, t, s, n, r = !1) => {
  let i = 0, a = 0, o = t.length - 1, l = t[0], $ = t[o], c = n.length - 1, f = n[0], u = n[c], p;
  for (; i <= o && a <= c; )
    l == null ? l = t[++i] : $ == null ? $ = t[--o] : f == null ? f = n[++a] : u == null ? u = n[--c] : _(l, f, r) ? (x(l, f, r), l = t[++i], f = n[++a]) : _($, u, r) ? (x($, u, r), $ = t[--o], u = n[--c]) : _(l, u, r) ? (x(l, u, r), L(e, l.$elm$, $.$elm$.nextSibling), l = t[++i], u = n[--c]) : _($, f, r) ? (x($, f, r), L(e, $.$elm$, l.$elm$), $ = t[--o], f = n[++a]) : (p = M(t && t[a], s, a), f = n[++a], p && L(l.$elm$.parentNode, p, l.$elm$));
  i > o ? ue(
    e,
    n[c + 1] == null ? null : n[c + 1].$elm$,
    s,
    n,
    a,
    c
  ) : a > c && de(t, i, o);
}, _ = (e, t, s = !1) => e.$tag$ === t.$tag$, x = (e, t, s = !1) => {
  const n = t.$elm$ = e.$elm$, r = e.$children$, i = t.$children$, a = t.$tag$, o = t.$text$;
  o === null ? (v = a === "svg" ? !0 : a === "foreignObject" ? !1 : v, fe(e, t, v), r !== null && i !== null ? Ve(n, r, t, i, s) : i !== null ? (e.$text$ !== null && (n.textContent = ""), ue(n, null, t, i, 0, i.length - 1)) : r !== null && de(r, 0, r.length - 1), v && a === "svg" && (v = !1)) : e.$text$ !== o && (n.data = o);
}, ve = (e) => {
  e.$attrs$ && e.$attrs$.ref && e.$attrs$.ref(null), e.$children$ && e.$children$.map(ve);
}, L = (e, t, s) => e == null ? void 0 : e.insertBefore(t, s), et = (e, t, s = !1) => {
  const n = e.$hostElement$, r = e.$cmpMeta$, i = e.$vnode$ || O(null, null), a = Re(t) ? t : oe(null, null, t);
  if (D = n.tagName, s && a.$attrs$)
    for (const o of Object.keys(a.$attrs$))
      n.hasAttribute(o) && !["key", "ref", "style", "class"].includes(o) && (a.$attrs$[o] = n[o]);
  a.$tag$ = null, a.$flags$ |= 4, e.$vnode$ = a, a.$elm$ = i.$elm$ = n.shadowRoot || n, A = n["s-sc"], r.$flags$ & 1, x(i, a, s);
}, pe = (e, t) => {
  t && !e.$onRenderResolve$ && t["s-p"] && t["s-p"].push(new Promise((s) => e.$onRenderResolve$ = s));
}, R = (e, t) => {
  if (e.$flags$ |= 16, e.$flags$ & 4) {
    e.$flags$ |= 512;
    return;
  }
  return pe(e, e.$ancestorComponent$), Ie(() => tt(e, t));
}, tt = (e, t) => {
  const s = e.$hostElement$, n = S("scheduleUpdate", e.$cmpMeta$.$tagName$), r = e.$lazyInstance$;
  if (!r)
    throw new Error(
      `Can't render component <${s.tagName.toLowerCase()} /> with invalid Stencil runtime! Make sure this imported component is compiled with a \`externalRuntime: true\` flag. For more information, please refer to https://stenciljs.com/docs/custom-elements#externalruntime`
    );
  let i;
  return t && (i = W(r, "componentWillLoad")), n(), st(i, () => rt(e, r, t));
}, st = (e, t) => nt(e) ? e.then(t).catch((s) => {
  console.error(s), t();
}) : t(), nt = (e) => e instanceof Promise || e && e.then && typeof e.then == "function", rt = (e, t, s) => T(void 0, null, function* () {
  var n;
  const r = e.$hostElement$, i = S("update", e.$cmpMeta$.$tagName$), a = r["s-rc"];
  s && Qe(e);
  const o = S("render", e.$cmpMeta$.$tagName$);
  at(e, t, r, s), a && (a.map((l) => l()), r["s-rc"] = void 0), o(), i();
  {
    const l = (n = r["s-p"]) != null ? n : [], $ = () => lt(e);
    l.length === 0 ? $() : (Promise.all(l).then($), e.$flags$ |= 4, l.length = 0);
  }
}), at = (e, t, s, n) => {
  try {
    t = t.render(), e.$flags$ &= -17, e.$flags$ |= 2, et(e, t, n);
  } catch (r) {
    b(r, e.$hostElement$);
  }
  return null;
}, lt = (e) => {
  const t = e.$cmpMeta$.$tagName$, s = e.$hostElement$, n = S("postUpdate", t), r = e.$lazyInstance$, i = e.$ancestorComponent$;
  e.$flags$ & 64 ? n() : (e.$flags$ |= 64, ge(s), W(r, "componentDidLoad"), n(), e.$onReadyResolve$(s), i || he()), e.$onRenderResolve$ && (e.$onRenderResolve$(), e.$onRenderResolve$ = void 0), e.$flags$ & 512 && q(() => R(e, !1)), e.$flags$ &= -517;
}, he = (e) => {
  ge(m.documentElement), q(() => Ye(I, "appload", { detail: { namespace: be } }));
}, W = (e, t, s) => {
  if (e && e[t])
    try {
      return e[t](s);
    } catch (n) {
      b(n);
    }
}, ge = (e) => {
  var t;
  return e.classList.add((t = we.hydratedSelectorName) != null ? t : "hydrated");
}, it = (e, t) => k(e).$instanceValues$.get(t), ot = (e, t, s, n) => {
  const r = k(e);
  if (!r)
    throw new Error(
      `Couldn't find host element for "${n.$tagName$}" as it is unknown to this Stencil runtime. This usually happens when integrating a 3rd party Stencil component with another Stencil component or application. Please reach out to the maintainers of the 3rd party Stencil component or report this on the Stencil Discord server (https://chat.stenciljs.com) or comment on this similar [GitHub issue](https://github.com/ionic-team/stencil/issues/5457).`
    );
  const i = r.$hostElement$, a = r.$instanceValues$.get(t), o = r.$flags$, l = r.$lazyInstance$;
  s = Xe(s, n.$members$[t][0]);
  const $ = Number.isNaN(a) && Number.isNaN(s), c = s !== a && !$;
  if ((!(o & 8) || a === void 0) && c && (r.$instanceValues$.set(t, s), l)) {
    if (n.$watchers$ && o & 128) {
      const f = n.$watchers$[t];
      f && f.map((u) => {
        try {
          l[u](s, a, t);
        } catch (p) {
          b(p, i);
        }
      });
    }
    (o & 18) === 2 && R(r, !1);
  }
}, ye = (e, t, s) => {
  var n, r;
  const i = e.prototype;
  if (t.$members$ || t.$watchers$ || e.watchers) {
    e.watchers && !t.$watchers$ && (t.$watchers$ = e.watchers);
    const a = Object.entries((n = t.$members$) != null ? n : {});
    if (a.map(([o, [l]]) => {
      (l & 31 || s & 2 && l & 32) && Object.defineProperty(i, o, {
        get() {
          return it(this, o);
        },
        set($) {
          ot(this, o, $, t);
        },
        configurable: !0,
        enumerable: !0
      });
    }), s & 1) {
      const o = /* @__PURE__ */ new Map();
      i.attributeChangedCallback = function(l, $, c) {
        d.jmp(() => {
          var f;
          const u = o.get(l);
          if (this.hasOwnProperty(u))
            c = this[u], delete this[u];
          else {
            if (i.hasOwnProperty(u) && typeof this[u] == "number" && this[u] == c)
              return;
            if (u == null) {
              const p = k(this), g = p == null ? void 0 : p.$flags$;
              if (g && !(g & 8) && g & 128 && c !== $) {
                const y = p.$lazyInstance$, w = (f = t.$watchers$) == null ? void 0 : f[l];
                w == null || w.forEach((h) => {
                  y[h] != null && y[h].call(y, c, $, l);
                });
              }
              return;
            }
          }
          this[u] = c === null && typeof this[u] == "boolean" ? !1 : c;
        });
      }, e.observedAttributes = Array.from(
        /* @__PURE__ */ new Set([
          ...Object.keys((r = t.$watchers$) != null ? r : {}),
          ...a.filter(
            ([l, $]) => $[0] & 15
            /* HasAttribute */
          ).map(([l, $]) => {
            const c = $[1] || l;
            return o.set(c, l), c;
          })
        ])
      );
    }
  }
  return e;
}, $t = (e, t, s, n) => T(void 0, null, function* () {
  let r;
  if (!(t.$flags$ & 32)) {
    if (t.$flags$ |= 32, s.$lazyBundleId$) {
      const l = _e(s);
      if (l && "then" in l) {
        const c = De();
        r = yield l, c();
      } else
        r = l;
      if (!r)
        throw new Error(`Constructor for "${s.$tagName$}#${t.$modeName$}" was not found`);
      r.isProxied || (s.$watchers$ = r.watchers, ye(
        r,
        s,
        2
        /* proxyState */
      ), r.isProxied = !0);
      const $ = S("createInstance", s.$tagName$);
      t.$flags$ |= 8;
      try {
        new r(t);
      } catch (c) {
        b(c);
      }
      t.$flags$ &= -9, t.$flags$ |= 128, $();
    } else {
      r = e.constructor;
      const l = e.localName;
      customElements.whenDefined(l).then(
        () => t.$flags$ |= 128
        /* isWatchReady */
      );
    }
    if (r && r.style) {
      let l;
      typeof r.style == "string" && (l = r.style);
      const $ = $e(s);
      if (!j.has($)) {
        const c = S("registerStyles", s.$tagName$);
        Je($, l, !!(s.$flags$ & 1)), c();
      }
    }
  }
  const i = t.$ancestorComponent$, a = () => R(t, !0);
  i && i["s-rc"] ? i["s-rc"].push(a) : a();
}), ct = (e) => {
}, ft = (e) => {
  if (!(d.$flags$ & 1)) {
    const t = k(e), s = t.$cmpMeta$, n = S("connectedCallback", s.$tagName$);
    if (t.$flags$ & 1)
      t != null && t.$lazyInstance$ || t != null && t.$onReadyPromise$ && t.$onReadyPromise$.then(() => ct());
    else {
      t.$flags$ |= 1;
      {
        let r = e;
        for (; r = r.parentNode || r.host; )
          if (r["s-p"]) {
            pe(t, t.$ancestorComponent$ = r);
            break;
          }
      }
      s.$members$ && Object.entries(s.$members$).map(([r, [i]]) => {
        if (i & 31 && e.hasOwnProperty(r)) {
          const a = e[r];
          delete e[r], e[r] = a;
        }
      }), $t(e, t, s);
    }
    n();
  }
}, ne = (e) => {
  W(e, "disconnectedCallback");
}, ut = (e) => T(void 0, null, function* () {
  if (!(d.$flags$ & 1)) {
    const t = k(e);
    t != null && t.$lazyInstance$ ? ne(t.$lazyInstance$) : t != null && t.$onReadyPromise$ && t.$onReadyPromise$.then(() => ne(t.$lazyInstance$));
  }
}), pt = (e, t = {}) => {
  var s;
  const n = S(), r = [], i = t.exclude || [], a = I.customElements, o = m.head, l = /* @__PURE__ */ o.querySelector("meta[charset]"), $ = /* @__PURE__ */ m.createElement("style"), c = [];
  let f, u = !0;
  Object.assign(d, t), d.$resourcesUrl$ = new URL(t.resourcesUrl || "./", m.baseURI).href;
  let p = !1;
  if (e.map((g) => {
    g[1].map((y) => {
      var w;
      const h = {
        $flags$: y[0],
        $tagName$: y[1],
        $members$: y[2],
        $listeners$: y[3]
      };
      h.$flags$ & 4 && (p = !0), h.$members$ = y[2], h.$watchers$ = (w = y[4]) != null ? w : {};
      const P = h.$tagName$, me = class extends HTMLElement {
        // StencilLazyHost
        constructor(E) {
          if (super(E), this.hasRegisteredEventListeners = !1, E = this, Te(E, h), h.$flags$ & 1) {
            if (!E.shadowRoot)
              E.attachShadow({ mode: "open" });
            else if (E.shadowRoot.mode !== "open")
              throw new Error(
                `Unable to re-use existing shadow root for ${h.$tagName$}! Mode is set to ${E.shadowRoot.mode} but Stencil only supports open shadow roots.`
              );
          }
        }
        connectedCallback() {
          k(this), this.hasRegisteredEventListeners || (this.hasRegisteredEventListeners = !0), f && (clearTimeout(f), f = null), u ? c.push(this) : d.jmp(() => ft(this));
        }
        disconnectedCallback() {
          d.jmp(() => ut(this));
        }
        componentOnReady() {
          return k(this).$onReadyPromise$;
        }
      };
      h.$lazyBundleId$ = g[0], !i.includes(P) && !a.get(P) && (r.push(P), a.define(
        P,
        ye(
          me,
          h,
          1
          /* isElementConstructor */
        )
      ));
    });
  }), r.length > 0 && (p && ($.textContent += re), $.textContent += r.sort() + Ae, $.innerHTML.length)) {
    $.setAttribute("data-styles", "");
    const g = (s = d.$nonce$) != null ? s : le(m);
    g != null && $.setAttribute("nonce", g), o.insertBefore($, l ? l.nextSibling : o.firstChild);
  }
  u = !1, c.length ? c.map((g) => g.connectedCallback()) : d.jmp(() => f = setTimeout(he, 30)), n();
}, ht = (e, t) => t, gt = (e) => d.$nonce$ = e;
export {
  ht as F,
  pt as b,
  oe as h,
  Le as p,
  vt as r,
  gt as s
};
